| DocBook: The Definitive Guide Version 2.0.8 (Alpha)

# guibutton

$Revision: 1.3 $

$Date: 2002/06/12 11:18:12 $

guibutton — The text on a button in a GUI

## Synopsis

### Mixed Content Model

    guibutton ::=
    (#PCDATA|replaceable|inlinegraphic|inlinemediaobject|indexterm|
     beginpage|accel)*

### Attributes

Common attributes

Name | Type | Default

moreinfo

Enumeration:
none
refentry

"none"

## Description

`GUIButton` identifies the text that appears on a button in a graphical user interface.

### Processing expectations

Formatted inline. The `MoreInfo` attribute can help generate a link or query to retrieve additional information.

### Parents

These elements contain guibutton: `action`, `application`, `attribution`, `bibliomisc`, `bridgehead`, `citation`, `citetitle`, `classsynopsisinfo`, `command`, `computeroutput`, `database`, `emphasis`, `entry`, `filename`, `foreignphrase`, `funcparams`, `funcsynopsisinfo`, `function`, `glosssee`, `glossseealso`, `glossterm`, `hardware`, `interfacename`, `keycap`, `lineannotation`, `link`, `literal`, `literallayout`, `lotentry`, `member`, `menuchoice`, `msgaud`, `olink`, `option`, `optional`, `para`, `parameter`, `phrase`, `primary`, `primaryie`, `productname`, `programlisting`, `property`, `quote`, `refdescriptor`, `refentrytitle`, `refname`, `refpurpose`, `remark`, `screen`, `screeninfo`, `secondary`, `secondaryie`, `see`, `seealso`, `seealsoie`, `seeie`, `seg`, `segtitle`, `simpara`, `subtitle`, `synopsis`, `systemitem`, `term`, `tertiary`, `tertiaryie`, `title`, `titleabbrev`, `tocback`, `tocentry`, `tocfront`, `trademark`, `ulink`, `userinput`.

### Children

The following elements occur in guibutton: `accel`, `beginpage`, `indexterm`, `inlinegraphic`, `inlinemediaobject`, `replaceable`.

## Attributes

moreinfo

  If `MoreInfo` is set to `RefEntry`, it implies that a `RefEntry` exists which further describes the `GUIButton`.

## See Also

`accel`, `guiicon`, `guilabel`, `guimenu`, `guimenuitem`, `guisubmenu`, `keycap`, `keycode`, `keycombo`, `keysym`, `menuchoice`, `mousebutton`, `shortcut`.

## Examples

    <!DOCTYPE para PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <para>
    The exact text of the <guilabel>Legend</guilabel> and other labels on the
    graph is dependent upon the language of the current locale.  Likewise,
    the text of the <guibutton>OK</guibutton> button and other buttons may vary.
    The <guiicon><inlinegraphic fileref="figures/legend.png"/></guiicon>
    icon and the other icons on the left side of the display may be
    configured by the local administrator, but they are not
    generally expected to vary from locale to locale.
    </para>

The exact text of the Legend and other labels on the graph is dependent upon the language of the current locale. Likewise, the text of the OK button and other buttons may vary. The icon and the other icons on the left side of the display may be configured by the local administrator, but they are not generally expected to vary from locale to locale.

For additional examples, see also `guiicon`, `guilabel`.

group |  | guiicon

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.